﻿ using DotNet.Highcharts;
using DotNet.Highcharts.Enums;
using DotNet.Highcharts.Helpers;
using DotNet.Highcharts.Options;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DatRD.Models;

namespace DatRD.Controllers
{
    public class CensoController : Controller
    {
        //
        // GET: /Censo/


        Censo2010Entities3 db = new Censo2010Entities3();
        OPEN_DATAEntities dbo = new OPEN_DATAEntities();

        public ActionResult Index()
        {

            return View("Provincias");
        }

      
        public void encabezado(String name)
        {
           
            //Data Hombres
            var Totalp = from r in db.DATOS_ where r.Nombre == name && r.Nivel == 2 select r.Población_Total;
            int cantidadt = 0;
            foreach (int valor in Totalp)
            {
                cantidadt = valor;
            }
            ViewBag.TotalP = System.Convert.ToString(cantidadt);

            //Data Hombres
            var hombres = from r in db.DATOS_ where r.Nombre == name && r.Nivel == 2 select r.Hombres;
            int cantidadH = 0;
            foreach (int valor in hombres)
            {
                cantidadH = valor;
            }
            ViewBag.Hombre = System.Convert.ToString(cantidadH);

            //Data Mujeres
            var Mujeres = from r in db.DATOS_ where r.Nombre == name && r.Nivel == 2 select r.Mujeres;
            int cantidadM = 0;
            foreach (int valor in Mujeres)
            {
                cantidadM = valor;
            }
            ViewBag.Mujeres = System.Convert.ToString(cantidadM);

            //Data ninos5
            var Ninos5 = from r in db.DATOS_ where r.Nombre == name && r.Nivel == 2 select r.Población_preescolar_menor_de_5_años;
            int cantidadN5 = 0;
            foreach (int valor in Ninos5)
            {
                cantidadN5 = valor;
            }
            ViewBag.Ninos = System.Convert.ToString(cantidadN5);

            //Estadisticas de poblacion de 15 Anos y mas que no saben leer y escribir
            var EconomicaActiva = from r in db.DATOS_ where r.Nombre == name && r.Nivel == 2 select r.Población_económicamente_activa_de_10_años_y_más;
            int cantidadEconomica = 0;
            foreach (int valor in EconomicaActiva)
            {
                cantidadEconomica = valor;
            }
            ViewBag.EconomicaActiva = System.Convert.ToString(cantidadEconomica);

            //Estadisticas de poblacion ocupada de 10 anos y mas
            var PoblacionDesocupada = from r in db.DATOS_ where r.Nombre == name && r.Nivel == 2 select r.Población__desocupada_de_10_años_y_más;
            int cantidadDesocupada = 0;
            foreach (int valor in PoblacionDesocupada)
            {
                cantidadDesocupada = valor;
            }
            ViewBag.desocupada = System.Convert.ToString(cantidadDesocupada);

            //Estadisticas de poblacion ocupada de 10 anos y mas
            var PoblacionOcupada = from r in db.DATOS_ where r.Nombre == name && r.Nivel == 2 select r.Población_ocupada_de_10_años_y_más;
            int cantidadOcupada = 0;
            foreach (int valor in PoblacionOcupada)
            {
                cantidadOcupada = valor;
            }
            ViewBag.ocupada = System.Convert.ToString(cantidadOcupada);


            String prov = filtro(name);

            var totalmatriculam = from t in dbo.CENTROS_INFO where t.Provincia == prov  && t.MatriculaMatutina != null select t.MatriculaMatutina;
            int CantidadMatriculasm = 0;
            foreach (int total in totalmatriculam)
            {
                CantidadMatriculasm = CantidadMatriculasm + total;
            }
            ViewBag.totalM = System.Convert.ToString(CantidadMatriculasm);

            var totalmatriculav = from t in dbo.CENTROS_INFO where t.Provincia == prov && t.MatriculaVespertina != null select t.MatriculaVespertina;
            int CantidadMatriculasv = 0;
            foreach (int total in totalmatriculav)
            {
                CantidadMatriculasv = CantidadMatriculasv + total;
            }
            ViewBag.totalV = System.Convert.ToString(CantidadMatriculasv);

            var totalmatriculan = from t in dbo.CENTROS_INFO where t.Provincia == prov && t.MatriculaNocturna != null select t.MatriculaNocturna;
            int CantidadMatriculasn = 0;
            foreach (int total in totalmatriculan)
            {
                CantidadMatriculasn = CantidadMatriculasn + total;
            }
            ViewBag.totaln = System.Convert.ToString(CantidadMatriculasn);


            var TotalCentros = from t in dbo.CENTROS_INFO where t.Provincia == prov && t.CantidadCentros != null select t.CantidadCentros;
            int CantidadCentros = 0;
            foreach (int total in TotalCentros)
            {
                CantidadCentros = CantidadCentros + total;
            }
            ViewBag.totalCentros = System.Convert.ToString(CantidadCentros);

            //var totalEscuelaP = from t in dbo.CENTROS_INFO where t.Provincia == "Azua" && t.MatriculaMatutina != null select t.;
            //int CantidadEscuelaP = 0;
            //foreach (int total in totalEscuelaP)
            //{
            //    CantidadEscuelaP = CantidadEscuelaP + total;
            //}
            //ViewBag.CantidadEscuelaP = System.Convert.ToString(CantidadEscuelaP);

        }
      
        public String filtro(String provincia)
        {
            String FiltroProvincia = "vacio";



         /*1*/   if ("Provincia Azua".Equals(provincia))
            {

                FiltroProvincia =  "AZUA";
            }

           /*2*/  else if ("Distrito Nacional".Equals(provincia))
            {

                FiltroProvincia = "DISTRITO NACIONAL";
            }
         /*3*/  else if ("Provincia Baoruco".Equals(provincia))
         {

             FiltroProvincia = "BAORUCO";
         }
         /*4*/  else if ("Provincia Barahona".Equals(provincia))
         {

             FiltroProvincia = "BARAHONA";
         }

             /*5*/  else if ("Provincia Dajabón".Equals(provincia))
         {

             FiltroProvincia = "DAJABON";
         }

         /*6*/  else if ("Provincia".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*7*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*8*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*9*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*10*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }







                 /*11*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*12*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*13*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }

             /*14*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }

         /*15*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*16*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*17*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*18*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*19*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }





                 /*20*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*21*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*22*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }

             /*23*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }

         /*24*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*25*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*26*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*27*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*28*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*29*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*30*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*31*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
         /*32*/  else if ("".Equals(provincia))
         {

             FiltroProvincia = "";
         }
            return FiltroProvincia;

        }
        public ActionResult Poblacion(String Name)
        {
            encabezado(Name);

            var provincias = from i in db.DATOS_ where i.Nivel==2 select i.Nombre;

            ViewBag.Provincias = new SelectList(provincias.AsEnumerable(), "Provincia");
            ViewBag.Tipo = "Poblacion";
            ViewBag.Ubicacion = Name;
           
            //Data Hombres
            var hombres = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Hombres;
            int cantidadH = 0;
            foreach (int valor in hombres)
            {
                cantidadH = valor;
            }
           
            //Create Series 1
            var series1 = new Series();
            series1.Name = "Hombres";
            Point[] series1Points =
                {
                    new Point() {X = 0, Y = cantidadH},
                    
                };
            series1.Data = new Data(series1Points);


            //Data Mujeres
            var Mujeres = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Mujeres;
            int cantidadM = 0;
            foreach (int valor in Mujeres)
            {
                cantidadM = valor;
            }
            //Create Series 2
            var series2 = new Series();
            series2.Name = "Mujeres";
            Point[] series2Points =
                {
                    new Point() {X = 0, Y = cantidadM},
                   
                };
            series2.Data = new Data(series2Points);





            //Data ninos5
            var Ninos5 = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_preescolar_menor_de_5_años;
            int cantidadN5 = 0;
            foreach (int valor in Ninos5)
            {
                cantidadN5 = valor;
            }
            //Create Series 4
            var series4 = new Series();
            series4.Name = "Ninos menores de 5";
            Point[] serie4Points =
                {
                    new Point() {X = 0, Y = cantidadN5},
                   
                };
            series4.Data = new Data(serie4Points);




            //Data jovenes 15 a 24 anos
            var jovenes15_24 = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_joven__15_a_24_años;
            int Cantidadjovenes15_24 = 0;
            foreach (int valor in jovenes15_24)
            {
                Cantidadjovenes15_24 = valor;
            }
            //Create Series 5
            var series5 = new Series();
            series5.Name = "jovenes de 15 - 24 anos";
            Point[] serie5Points =
                {
                    new Point() {X = 0, Y = Cantidadjovenes15_24},
                   
                };
            series5.Data = new Data(serie5Points);


            //Data jovenes 10 a 19 anos
            var jovenes10_19 = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_adolescente_de_10_a_19_años;
            int Cantidadjovenes10_19 = 0;
            foreach (int valor in jovenes10_19)
            {
                Cantidadjovenes10_19 = valor;
            }
            //Create Series 6
            var series6 = new Series();
            series6.Name = "Adolecente de 10 - 19 anos";
            Point[] serie6Points =
                {
                    new Point() {X = 0, Y = Cantidadjovenes10_19},
                   
                };
            series6.Data = new Data(serie6Points);

            //Data jovenes 25 a 35 anos
            var jovenes25_35 = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_de_25_a_34_años;
            int Cantidadjovenes25_35 = 0;
            foreach (int valor in jovenes25_35)
            {
                Cantidadjovenes25_35 = valor;
            }
            //Create Series 8
            var series8 = new Series();
            series8.Name = "poblacion de 25 - 30 anos";
            Point[] serie8Points =
                {
                    new Point() {X = 0, Y = Cantidadjovenes25_35},
                   
                };
            series8.Data = new Data(serie8Points);


            //Data ninos menores de 1 ano
            var NinosMenores1 = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_infantil_menor_de_1_año;
            int CantidadNinos1 = 0;
            foreach (int valor in NinosMenores1)
            {
                CantidadNinos1 = valor;
            }
            //Create Series 9
            var series9 = new Series();
            series9.Name = "Ninos menores de 1 ano";
            Point[] serie9Points =
                {
                    new Point() {X = 0, Y = CantidadNinos1},
                   
                };
            series9.Data = new Data(serie9Points);



            //poblacion menor de 18 Anos
            var PoblacionMenor18Anos = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_menor_de_18_años;
            int CantidadPoblacionMenor18Anos = 0;
            foreach (int valor in PoblacionMenor18Anos)
            {
                CantidadPoblacionMenor18Anos = valor;
            }
            //Create Series 10
            var series10 = new Series();
            series10.Name = "Poblacion Menor de 18 Anos";
            Point[] serie10Points =
                {
                    new Point() {X = 0, Y = CantidadPoblacionMenor18Anos},
                   
                };
            series10.Data = new Data(serie10Points);


            //poblacion mayor de 18 Anos
            var PoblacionMayor18Anos = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_de_18_años_y_más;
            int CantidadPoblacionMayor18Anos = 0;
            foreach (int valor in PoblacionMayor18Anos)
            {
                CantidadPoblacionMayor18Anos = valor;
            }
            //Create Series 11
            var series11 = new Series();
            series11.Name = "Poblacion Mayor de 18 Anos";
            Point[] serie11Points =
                {
                    new Point() {X = 0, Y = CantidadPoblacionMayor18Anos},
                   
                };
            series11.Data = new Data(serie11Points);


            //poblacion de 20 a 24 Anos
            var Poblacion20_24Anos = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_de_20_a_24_años;
            int CantidadPoblacion20_24Anos = 0;
            foreach (int valor in Poblacion20_24Anos)
            {
                CantidadPoblacion20_24Anos = valor;
            }
            //Create Series 10
            var series12 = new Series();
            series12.Name = "Poblacion de 20 a 24 años";
            Point[] serie12Points =
                {
                    new Point() {X = 0, Y = CantidadPoblacion20_24Anos},
                   
                };
            series12.Data = new Data(serie12Points);


            //Create List of Series and Add both series to the collection
            var chartSeries = new List<Series>();
            chartSeries.Add(series1);
            chartSeries.Add(series2);
            chartSeries.Add(series4);
            chartSeries.Add(series5);
            chartSeries.Add(series6);
            chartSeries.Add(series8);
            chartSeries.Add(series9);
            chartSeries.Add(series10);
            chartSeries.Add(series11);
            chartSeries.Add(series12);
           

            //Create chart Model
           
            var chart1 = new Highcharts("Chart1");
            chart1
                .InitChart(new Chart() { DefaultSeriesType = ChartTypes.Column })
                .SetTitle(new Title() { Text = "Censo 2010 " + Name })
                .SetSeries(chartSeries.ToArray());

            //pass Chart1Model using ViewBag
            ViewBag.Chart1Model = chart1;



            return View("Index");
        }

        public ActionResult PoblacionUrbanaRural(String Name)
        {
            encabezado(Name);

            var provincias = from i in db.DATOS_ where i.Nivel == 2 select i.Nombre;

            ViewBag.Provincias = new SelectList(provincias.AsEnumerable(), "Provincia");
            ViewBag.Tipo = "PoblacionUrbanaRural";
            ViewBag.Ubicacion = Name;
            //Estadisticas de poblacion rural
            var Rural = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_rural;
            int cantidadR = 0;
            foreach (int valor in Rural)
            {
                cantidadR = valor;
            }
            //Create Series 8
            var series1 = new Series();
            series1.Name = "poblacion Rural";
            Point[] series1Points =
                {
                    new Point() {X = 0, Y = cantidadR},
                   
                };
            series1.Data = new Data(series1Points);

            //Estadisticas de poblacion Urbana
            var Urbana = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_Urbana;
            int cantidadU = 0;
            foreach (int valor in Urbana)
            {
                cantidadU = valor;
            }
            //Create Series 8
            var series2 = new Series();
            series2.Name = "poblacion Urbana";
            Point[] series2Points =
                {
                    new Point() {X = 0, Y = cantidadU},
                   
                };
            series2.Data = new Data(series2Points);



            //Create List of Series and Add both series to the collection
            var chartSeries = new List<Series>();
            chartSeries.Add(series1);
            chartSeries.Add(series2);
          
            //Create chart Model

            var chart1 = new Highcharts("Chart1");
            chart1
                .InitChart(new Chart() { DefaultSeriesType = ChartTypes.Column })
                .SetTitle(new Title() { Text = "Censo 2010 " + Name })
                .SetSeries(chartSeries.ToArray());

            //pass Chart1Model using ViewBag
            ViewBag.Chart1Model = chart1;



            return View("Index");
        }


        public ActionResult PoblacionViviendas(String Name)
        {

            encabezado(Name);
            var provincias = from i in db.DATOS_ where i.Nivel == 2 select i.Nombre;

            ViewBag.Provincias = new SelectList(provincias.AsEnumerable(), "Provincia");
            ViewBag.Tipo = "PoblacionViviendas";
            ViewBag.Ubicacion = Name;
            //Estadisticas de poblacion con viviendas propias
            var Propias = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_en_viviendas_propias;
            int cantidadP = 0;
            foreach (int valor in Propias)
            {
                cantidadP = valor;
            }
            //Create Series 8
            var series1 = new Series();
            series1.Name = "poblacion Con Viviendas Propias";
            Point[] series1Points =
                {
                    new Point() {X = 0, Y = cantidadP},
                   
                };
            series1.Data = new Data(series1Points);

            //Estadisticas de poblacion con viviendas alquiladas
            var alquiladas = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_en_viviendas_alquiladas;
            int cantidadA = 0;
            foreach (int valor in alquiladas)
            {
                cantidadA = valor;
            }
            //Create Series 8
            var series2 = new Series();
            series2.Name = "Poblacion con Viviendas Alquilada";
            Point[] series2Points =
                {
                    new Point() {X = 0, Y = cantidadA},
                   
                };
            series2.Data = new Data(series2Points);



            //Create List of Series and Add both series to the collection
            var chartSeries = new List<Series>();
            chartSeries.Add(series1);
            chartSeries.Add(series2);

            //Create chart Model

            var chart1 = new Highcharts("Chart1");
            chart1
                .InitChart(new Chart() { DefaultSeriesType = ChartTypes.Column })
                .SetTitle(new Title() { Text = "Censo 2010 " + Name })
                .SetSeries(chartSeries.ToArray());

            //pass Chart1Model using ViewBag
            ViewBag.Chart1Model = chart1;



            return View("index");
        }

        public ActionResult PoblacionRecursosBasicos(String Name)
        {

            encabezado(Name);
            var provincias = from i in db.DATOS_ where i.Nivel == 2 select i.Nombre;

            ViewBag.Provincias = new SelectList(provincias.AsEnumerable(), "Provincia");
            ViewBag.Tipo = "PoblacionRecursosBasicos";
            ViewBag.Ubicacion = Name;
            //Estadisticas de poblacion con servicios sanitarios
            var ServiciosSanitario = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_que_no_dispone_de_servicio_sanitario;
            int cantidadServicioSanitario = 0;
            foreach (int valor in ServiciosSanitario)
            {
                cantidadServicioSanitario = valor;
            }
            //Create Series 8
            var series1 = new Series();
            series1.Name = "poblacion con servicios sanitarios";
            Point[] series1Points =
                {
                    new Point() {X = 0, Y = cantidadServicioSanitario},
                   
                };
            series1.Data = new Data(series1Points);

            //Estadisticas de poblacion con agua por red publica
            var PoblacionAgua = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_que_dispone_de_agua_proveniente_de_la_red_pública;
            int cantidadAgua = 0;
            foreach (int valor in PoblacionAgua)
            {
                cantidadAgua = valor;
            }
            //Create Series 8
            var series2 = new Series();
            series2.Name = "poblacion con agua por red publica";
            Point[] series2Points =
                {
                    new Point() {X = 0, Y = cantidadAgua},
                   
                };
            series2.Data = new Data(series2Points);

            //Estadisticas de poblacion que usan energia electrica
            var PoblacionElectrica = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_que_utiliza_energía_eléctrica_para_el_alumbrado;
            int cantidadElectrica = 0;
            foreach (int valor in PoblacionElectrica)
            {
                cantidadElectrica = valor;
            }
            //Create Series 8
            var series3 = new Series();
            series3.Name = "poblacion que usan energia electrica";
            Point[] series3Points =
                {
                    new Point() {X = 0, Y = cantidadElectrica},
                   
                };
            series3.Data = new Data(series3Points);

            //Estadisticas de poblacion que usan Combustibles Solidos
            var PoblacionCombustible = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_que_utiliza_combustibles_sólidos__leña_y_carbón__para_;
            int cantidadCombustible = 0;
            foreach (int valor in PoblacionCombustible)
            {
                cantidadCombustible = valor;
            }
            //Create Series 8
            var series4 = new Series();
            series4.Name = "poblacion que usan Combustibles Solidos";
            Point[] series4Points =
                {
                    new Point() {X = 0, Y = cantidadCombustible},
                   
                };
            series4.Data = new Data(series4Points);

            //Estadisticas de poblacion servicio de recogida de basura
            var RecogidaBasura = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_que_disponen_de_servicio_de_recogida_de_basura;
            int CantidadBasura = 0;
            foreach (int valor in RecogidaBasura)
            {
                CantidadBasura = valor;
            }
            //Create Series 8
            var series5 = new Series();
            series5.Name = " poblacion servicio de recogida de basura";
            Point[] series5Points =
                {
                    new Point() {X = 0, Y = CantidadBasura},
                   
                };
            series5.Data = new Data(series5Points);



            //Create List of Series and Add both series to the collection
            var chartSeries = new List<Series>();
            chartSeries.Add(series1);
            chartSeries.Add(series2);
            chartSeries.Add(series3);
            chartSeries.Add(series4);
            chartSeries.Add(series5);

            //Create chart Model

            var chart1 = new Highcharts("Chart1");
            chart1
                .InitChart(new Chart() { DefaultSeriesType = ChartTypes.Column })
                .SetTitle(new Title() { Text = "Censo 2010 " + Name })
                .SetSeries(chartSeries.ToArray());

            //pass Chart1Model using ViewBag
            ViewBag.Chart1Model = chart1;



            return View("index");
        }


        public ActionResult Analfabetismo(String Name)
        {
            encabezado(Name);
            var provincias = from i in db.DATOS_ where i.Nivel == 2 select i.Nombre;

            ViewBag.Provincias = new SelectList(provincias.AsEnumerable(), "Provincia");

            ViewBag.Tipo = "Analfabetismo";

            ViewBag.Ubicacion = Name;
            //Estadisticas de poblacion de 15 Anos y mas que no saben leer y escribir
            var Analfabetismo = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_de_15_años_y_más_que_no_sabe_leer_y_escribir;
            int cantidadA = 0;
            foreach (int valor in Analfabetismo)
            {
                cantidadA = valor;
            }
            //Create Series 8
            var series1 = new Series();
            series1.Name = "poblacion de 15 Anos y mas que no saben leer y escribir";
            Point[] series1Points =
                {
                    new Point() {X = 0, Y = cantidadA},
                   
                };
            series1.Data = new Data(series1Points);

            //Estadisticas de poblacion de 5 a 29 Anos que asisten a la escula
            var AsistenciaEscuela = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_de_5_a_29_años_que_asiste_a_la_escuela;
            int cantidadE = 0;
            foreach (int valor in AsistenciaEscuela)
            {
                cantidadE = valor;
            }
            //Create Series 8
            var series2 = new Series();
            series2.Name = "Poblacion de 5 a 29 anos que asisten a la escuela";
            Point[] series2Points =
                {
                    new Point() {X = 0, Y = cantidadE},
                   
                };
            series2.Data = new Data(series2Points);



            //Create List of Series and Add both series to the collection
            var chartSeries = new List<Series>();
            chartSeries.Add(series1);
            chartSeries.Add(series2);

            //Create chart Model

            var chart1 = new Highcharts("Chart1");
            chart1
                .InitChart(new Chart() { DefaultSeriesType = ChartTypes.Column })
                .SetTitle(new Title() { Text = "Censo 2010 " + Name })
                .SetSeries(chartSeries.ToArray());

            //pass Chart1Model using ViewBag
            ViewBag.Chart1Model = chart1;



            return View("index");
        }




        //estadisticas de poblacion a nivel de trabajo
        public ActionResult Trabajo(String Name)
        {
            encabezado(Name);
            var provincias = from i in db.DATOS_ where i.Nivel == 2 select i.Nombre;

            ViewBag.Provincias = new SelectList(provincias.AsEnumerable(), "Provincia");

            ViewBag.Tipo = "Trabajo";

            ViewBag.Ubicacion = Name;

            //Estadisticas de poblacion de 15 Anos y mas que no saben leer y escribir
            var EconomicaActiva = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_económicamente_activa_de_10_años_y_más;
            int cantidadEconomica = 0;
            foreach (int valor in EconomicaActiva)
            {
                cantidadEconomica = valor;
            }
            //Create Series 8
            var series1 = new Series();
            series1.Name = "poblacion Economicamente Activa de 10 Anos y mas";
            Point[] series1Points =
                {
                    new Point() {X = 0, Y = cantidadEconomica},
                   
                };
            series1.Data = new Data(series1Points);

            //Estadisticas de poblacion ocupada de 10 anos y mas
            var PoblacionOcupada = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población_ocupada_de_10_años_y_más;
            int cantidadOcupada = 0;
            foreach (int valor in PoblacionOcupada)
            {
                cantidadOcupada = valor;
            }
            //Create Series 8
            var series2 = new Series();
            series2.Name = "Poblacion Ocupada de 10 Anos y mas";
            Point[] series2Points =
                {
                    new Point() {X = 0, Y = cantidadOcupada},
                   
                };
            series2.Data = new Data(series2Points);


            //Estadisticas de poblacion ocupada de 10 anos y mas
            var PoblacionDesocupada = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Población__desocupada_de_10_años_y_más;
            int cantidadDesocupada = 0;
            foreach (int valor in PoblacionDesocupada)
            {
                cantidadDesocupada = valor;
            }
            //Create Series 8
            var series3 = new Series();
            series3.Name = "Poblacion Desocupada de 10 Anos y mas";
            Point[] series3Points =
                {
                    new Point() {X = 0, Y = cantidadDesocupada},
                   
                };
            series3.Data = new Data(series3Points);

            //Create List of Series and Add both series to the collection
            var chartSeries = new List<Series>();
            chartSeries.Add(series1);
            chartSeries.Add(series2);
            chartSeries.Add(series3);
            //Create chart Model

            var chart1 = new Highcharts("Chart1");
            chart1
                .InitChart(new Chart() { DefaultSeriesType = ChartTypes.Column })
                .SetTitle(new Title() { Text = "Censo 2010 "+Name })
                .SetSeries(chartSeries.ToArray());

            //pass Chart1Model using ViewBag
            ViewBag.Chart1Model = chart1;



            return View("index");
        }



        public ActionResult ViviendaRecursosBasicos(String Name)
        {
            encabezado(Name);
            var provincias = from i in db.DATOS_ where i.Nivel == 2 select i.Nombre;
            
            ViewBag.Provincias = new SelectList(provincias.AsEnumerable(), "Provincia");

            ViewBag.Tipo =  "ViviendaRecursosBasicos";

            ViewBag.Ubicacion = Name;

            //Estadisticas de poblacion con servicios sanitarios
            var ServiciosSanitario = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Hogares_que_no_disponen_de_servicio_sanitario;
            int cantidadServicioSanitario = 0;
            foreach (int valor in ServiciosSanitario)
            {
                cantidadServicioSanitario = valor;
            }
            //Create Series 8
            var series1 = new Series();
            series1.Name = "Hogares que no disponen de Servicios Sanitarios";
            Point[] series1Points =
                {
                    new Point() {X = 0, Y = cantidadServicioSanitario},
                   
                };
            series1.Data = new Data(series1Points);

            //Estadisticas de poblacion con agua por red publica
            var PoblacionAgua = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Hogares_que_disponen_de_agua_proveniente_de_la_red_pública;
            int cantidadAgua = 0;
            foreach (int valor in PoblacionAgua)
            {
                cantidadAgua = valor;
            }
            //Create Series 8
            var series2 = new Series();
            series2.Name = "Hogares con agua por red publica";
            Point[] series2Points =
                {
                    new Point() {X = 0, Y = cantidadAgua},
                   
                };
            series2.Data = new Data(series2Points);

            //Estadisticas de poblacion que usan energia electrica
            var PoblacionElectrica = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Hogares_que_utilizan_energía_eléctrica_para_el_alumbrado;
            int cantidadElectrica = 0;
            foreach (int valor in PoblacionElectrica)
            {
                cantidadElectrica = valor;
            }
            //Create Series 8
            var series3 = new Series();
            series3.Name = "Hogares que usan energia electrica";
            Point[] series3Points =
                {
                    new Point() {X = 0, Y = cantidadElectrica},
                   
                };
            series3.Data = new Data(series3Points);

            //Estadisticas de poblacion que usan Combustibles Solidos
            var PoblacionCombustible = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Hogares_que_utilizan_combustibles_sólidos__leña_y_carbón__para_c;
            int cantidadCombustible = 0;
            foreach (int valor in PoblacionCombustible)
            {
                cantidadCombustible = valor;
            }
            //Create Series 8
            var series4 = new Series();
            series4.Name = "Hogares que usan Combustibles Solidos";
            Point[] series4Points =
                {
                    new Point() {X = 0, Y = cantidadElectrica},
                   
                };
            series4.Data = new Data(series4Points);

            //Estadisticas de poblacion servicio de recogida de basura
            var RecogidaBasura = from r in db.DATOS_ where r.Nombre == Name && r.Nivel == 2 select r.Hogares_que_disponen_de_servicio_de_recogida_de_basura;
            int CantidadBasura = 0;
            foreach (int valor in RecogidaBasura)
            {
                CantidadBasura = valor;
            }
            //Create Series 8
            var series5 = new Series();
            series5.Name = " Hogares servicio de recogida de basura";
            Point[] series5Points =
                {
                    new Point() {X = 0, Y = CantidadBasura},
                   
                };
            series5.Data = new Data(series5Points);



            //Create List of Series and Add both series to the collection
            var chartSeries = new List<Series>();
            chartSeries.Add(series1);
            chartSeries.Add(series2);
            chartSeries.Add(series3);
            chartSeries.Add(series4);
            chartSeries.Add(series5);

            //Create chart Model

            var chart1 = new Highcharts("Chart1");
            chart1
                .InitChart(new Chart() { DefaultSeriesType = ChartTypes.Column })
                .SetTitle(new Title() { Text = "Censo 2010 "+Name })
                .SetSeries(chartSeries.ToArray());

            //pass Chart1Model using ViewBag
            ViewBag.Chart1Model = chart1;



            return View("index");
        }
        public GetFile DownloadFile()
        {

            return new GetFile
            {

                FileName = "Censo 2010.xls",
                Path = @"~/Content/Censo 2010.xls"

            };
        }






     


    }
}
