﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using DatRD.Models;
using System.Text;

namespace DatRD.Controllers
{
    public class CentrosController : Controller
    {
        //
        // GET: /Centros/
        OPEN_DATAEntities db = new OPEN_DATAEntities();
       
            
        public ActionResult Index(string busqueda = "a")
        {

       
            var regional = db.CENTROS_INFO.OrderByDescending(c => c.Regional).Select(c => c.Regional).Distinct();
            var centros = from c in db.CENTROS
                          join i in db.CENTROS_INFO on c.cent_codigo equals i.Codigo
                          where c.cent_nombre.StartsWith(busqueda) || i.Regional.Contains(busqueda) || i.Distrito.Contains(busqueda)
                          select new
                          {
                              c.cent_nombre,
                              i.Municipio,
                              c.cent_multigrado,
                              i.DistritoMunicipal,
                              i.Regional,
                              i.MatriculaMatutina,
                              i.MatriculaNocturna,
                              i.MatriculaVespertina
                          };

         
            ViewBag.Regionales = new SelectList(regional.AsEnumerable(), "Regional");
            ViewBag.ListaCentros = centros.ToList();
            ViewBag.Titulo = "Centros Educativos de La Republica Dominicana";
            return View();
        }

        [HttpPost]
        public ActionResult Export(string b)
        {
          

            StringBuilder sb = new StringBuilder();
            sb.Append("<table border='" + "1px" + "'b>");
          
            sb.Append("<tr>");
            sb.Append("<td><b><font face=Arial size=2>Multigrado</font></b></td>");
            sb.Append("<td><b><font face=Arial size=2>Nombre del Centro</font></b></td>");
            sb.Append("<td><b><font face=Arial size=2>Regional</font></b></td>");
            sb.Append("<td><b><font face=Arial size=2>Distrito</font></b></td>");
            sb.Append("<td><b><font face=Arial size=2>Matricula Matutina</font></b></td>");
            sb.Append("<td><b><font face=Arial size=2>Matricula Vespertina</font></b></td>");
            sb.Append("<td><b><font face=Arial size=2>Matricula Nocturna</font></b></td>");
            sb.Append("<td><b><font face=Arial size=2>Municipio</font></b></td>");
            sb.Append("</tr>");
            var regional = db.CENTROS_INFO.OrderByDescending(c => c.Regional).Select(c => c.Regional).Distinct();
            var centros = from c in db.CENTROS
                          join i in db.CENTROS_INFO on c.cent_codigo equals i.Codigo
                          select new
                          {
                              c.cent_nombre,
                              i.Municipio,
                              c.cent_multigrado,
                              i.DistritoMunicipal,
                              i.Regional,
                              i.MatriculaMatutina,
                              i.MatriculaNocturna,
                              i.MatriculaVespertina
                          };

        
            foreach (var item in centros)
            {
                sb.Append("<tr>");
                sb.Append("<td><font face=Arial size=" + "14px" + ">" + item.cent_multigrado.ToString() + "</font></td>");
                sb.Append("<td><font face=Arial size=" + "14px" + ">" + item.cent_nombre.ToString() + "</font></td>");
                sb.Append("<td><font face=Arial size=" + "14px" + ">" + item.Regional.ToString() + "</font></td>");
                sb.Append("<td><font face=Arial size=" + "14px" + ">" + item.DistritoMunicipal.ToString() + "</font></td>");
                sb.Append("<td><font face=Arial size=" + "14px" + ">" + item.MatriculaMatutina.ToString() + "</font></td>");
                sb.Append("<td><font face=Arial size=" + "14px" + ">" + item.MatriculaVespertina.ToString() + "</font></td>");
                sb.Append("<td><font face=Arial size=" + "14px" + ">" + item.MatriculaNocturna.ToString() + "</font></td>");
                sb.Append("<td><font face=Arial size=" + "14px" + ">" + item.Municipio.ToString() + "</font></td>");
                sb.Append("</tr>");
            }
            sb.Append("</table>");
            HttpContext.Response.AddHeader("content-disposition", "attachment; filename=Centros_" + DateTime.Now.Year.ToString() + ".xls");
            this.Response.ContentType = "application/vnd.ms-excel";
            byte[] buffer = System.Text.Encoding.UTF8.GetBytes(sb.ToString());
            return File(buffer, "application/vnd.ms-excel");
        }



        public JsonResult getCentros(string letras)
        {
            var resultado = from c in db.CENTROS
                            join i in db.CENTROS_INFO on c.cent_codigo equals i.Codigo
                            where c.cent_nombre.Contains(letras) || i.Regional.Contains(letras) || i.Distrito.Contains(letras)
                            select new { c.cent_nombre, i.Regional, i.Distrito};

          
            return Json(resultado.ToArray(), JsonRequestBehavior.AllowGet);
        }

        //Las materias que se imparten en las escuelas publicas y privadas.
        //public List<OPEN_DATAEntities> Materias()
        //{
        //    var materias =
        //    from mat in db.ASIGNATURAS
        //    select mat.asig_nombre;
        //    return materias.ToList();
        //}

        //Division de las escuelas por regional.
        void queryEscuelasRegional(string regional)
        {
            var escuelasQuery =
            from esc in db.CENTROS_INFO
            where esc.Regional == regional
            orderby esc.Distrito
            select new
            {
                esc.NombrePlantaFisica,
                esc.Regional,
                esc.Distrito,
                esc.Provincia,
                esc.Municipio,
                esc.DistritoMunicipal,
                esc.SeccionMunicipal,
                esc.Barrios,
                esc.Direccion,
                esc.MatriculaMatutina,
                esc.MatriculaVespertina,
                esc.MatriculaNocturna
            };
        }

        //Division de las escuelas por Distrito.
        void queryEscuelasDistrito(string distrito)
        {
            var escuelasQuery =
            from esc in db.CENTROS_INFO
            where esc.Distrito == distrito
            orderby esc.Provincia
            select new
            {
                esc.NombrePlantaFisica,
                esc.Regional,
                esc.Distrito,
                esc.Provincia,
                esc.Municipio,
                esc.DistritoMunicipal,
                esc.SeccionMunicipal,
                esc.Barrios,
                esc.Direccion,
                esc.MatriculaMatutina,
                esc.MatriculaVespertina,
                esc.MatriculaNocturna
            };
        }

        //Division de las escuelas por provincia.
        void queryEscuelasProvincial(string provincial)
        {
            var escuelasQuery =
            from esc in db.CENTROS_INFO
            where esc.Provincia == provincial
            orderby esc.Municipio
            select new
            {
                esc.NombrePlantaFisica,
                esc.Regional,
                esc.Distrito,
                esc.Provincia,
                esc.Municipio,
                esc.DistritoMunicipal,
                esc.SeccionMunicipal,
                esc.Barrios,
                esc.Direccion,
                esc.MatriculaMatutina,
                esc.MatriculaVespertina,
                esc.MatriculaNocturna
            };
        }

        //Centros no multigrados.
        void queryEscuelasNoMultigrado()
        {
            var escuelasQuery =
            from esc in db.CENTROS
            where esc.cent_multigrado == false
            select new
            {
                esc.cent_nombre
            };
        }

        //Centros no multigrados.
        void queryEscuelasMultigrado()
        {
            var escuelasQuery =
            from esc in db.CENTROS
            where esc.cent_multigrado == true
            select new
            {
                esc.cent_nombre
            };
        }

        //Listado de todos los centros del pais.
        void queryTodasLasEscuelasDelPais()
        {
            var escuelasQuery =
            from esc in db.CENTROS_INFO
            orderby esc.NombrePlantaFisica
            select new
            {
                esc.NombrePlantaFisica,
                esc.Regional,
                esc.Distrito,
                esc.Provincia,
                esc.Municipio,
                esc.DistritoMunicipal,
                esc.SeccionMunicipal,
                esc.Barrios,
                esc.Direccion,
                esc.MatriculaMatutina,
                esc.MatriculaVespertina,
                esc.MatriculaNocturna
            };
        }

        //Escuelas con mayor numero de matricala estudiandiantil.
        void queryEscuelaMayorMat()
        {
            var escuelasQuery =
            from esc in db.CENTROS_INFO
            where (esc.MatriculaMatutina +
            esc.MatriculaVespertina +
            esc.MatriculaNocturna) == (from e in db.CENTROS_INFO select (e.MatriculaMatutina + esc.MatriculaVespertina + esc.MatriculaNocturna)).Max()
            select new
            {
                esc.NombrePlantaFisica,
                esc.Regional,
                esc.Distrito,
                esc.Provincia,
                esc.Municipio,
                esc.DistritoMunicipal,
                esc.SeccionMunicipal,
                esc.Barrios,
                esc.Direccion,
                esc.MatriculaMatutina,
                esc.MatriculaVespertina,
                esc.MatriculaNocturna
            };
        }

        //Escuelas con menor numero de matricala estudiandiantil.
        void queryEscuelaMenorMat()
        {
            var escuelasQuery =
            from esc in db.CENTROS_INFO
            where (esc.MatriculaMatutina +
            esc.MatriculaVespertina +
            esc.MatriculaNocturna) == (from e in db.CENTROS_INFO select (e.MatriculaMatutina + esc.MatriculaVespertina + esc.MatriculaNocturna)).Min()
            select new
            {
                esc.NombrePlantaFisica,
                esc.Regional,
                esc.Distrito,
                esc.Provincia,
                esc.Municipio,
                esc.DistritoMunicipal,
                esc.SeccionMunicipal,
                esc.Barrios,
                esc.Direccion,
                esc.MatriculaMatutina,
                esc.MatriculaVespertina,
                esc.MatriculaNocturna
            };
        }



        

    }
}
